Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511482 - [abrt] [faf] NetworkManager: raise(): /usr/sbin/NetworkManager killed by 5
Summary: [abrt] [faf] NetworkManager: raise(): /usr/sbin/NetworkManager killed by 5
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glib2
Version: 7.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Colin Walters
QA Contact: Desktop QE
URL: http://faf.lab.eng.brq.redhat.com/faf...
Whiteboard:
: 1532190 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 12:51 UTC by Beniamino Galvani
Modified: 2019-02-11 10:38 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Beniamino Galvani 2017-11-09 12:51:39 UTC
This bug has been created based on an anonymous crash report requested by the package maintainer.

Report URL: http://faf.lab.eng.brq.redhat.com/faf/reports/bthash/32aebe48d09550c81584c358caa7077f9a6928c3/

NetworkManager-1.10.0-0.2.rc1.el7

 #0  raise
 #1  _g_log_abort
 #2  g_logv
 #3  g_log
 #4  g_return_if_fail_warning
 #5  g_source_set_ready_time
 #6  cancellable_source_cancelled
 #11 <emit signal ??? on instance 0x1002d0fb420 [GCancellable]>
     #7  g_cclosure_marshal_VOID__VOID
     #8  g_closure_invoke
     #9  signal_emit_unlocked_R
     #10 g_signal_emit_valist
 #12 g_cancellable_cancel
 #13 _g_dbus_worker_close
 #14 g_dbus_connection_close
 #15 close_connection_in_idle
 #16 g_idle_dispatch
 #17 g_main_context_dispatch
 #18 g_main_context_dispatch
 #19 g_main_context_iterate
 #20 g_main_loop_run
 #21 main

Comment 2 Beniamino Galvani 2017-11-09 12:56:47 UTC
"g_source_set_ready_time: assertion 'source->ref_count > 0' failed"

Comment 3 Beniamino Galvani 2018-01-23 10:35:06 UTC
*** Bug 1532190 has been marked as a duplicate of this bug. ***

Comment 4 Beniamino Galvani 2018-03-13 17:12:54 UTC
This still happens with NM 1.10.2-13.el7 and NM 1.10.3-19149.41a89aeeba.el7.

Comment 6 Beniamino Galvani 2018-06-05 09:34:36 UTC
Still randomly happening during CI tests, but I can't reproduce it. Also, I'm not sure whether this is a NM or GLib bug.

Comment 7 Beniamino Galvani 2019-02-11 10:38:37 UTC
This seems to be a GLib bug, and already fixed by commit:

  https://gitlab.gnome.org/GNOME/glib/commit/7f3bfcb8912e9b8b2e73520857690356d91869b9

released in version 2.55.1. Reassigning to glib2 for evaluation.


Note You need to log in before you can comment on or make changes to this bug.